Get contact details of a LinkedIn profile
POST /api/v1/get_profile_contact_details
This API allows the authenticated user to retrieve the contact details of a specified LinkedIn profile.
The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.
Headers
| Name | Type | Required |
|---|---|---|
x-api-key | string | Yes |
x-api-secret | string | Yes |
Request Body
Schema
accountIdstringrequiredThe unique identifier of the WeLink account.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
Sample Request
{
"accountId": "string",
"profile_id": "string"
}
Responses
Webhook Events
Schema
statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
Sample Response
{
"status": "string",
"requestId": "string",
"result": {
"connectedAt": 0,
"emailAddress": "string",
"entityUrn": "string",
"twitterHandles": []
}
}